import { Panel } from '@lumino/widgets';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import type { TranslationBundle } from '@jupyterlab/translation';
import { DiffPanel } from '../../common/basepanel';
import type { ICellDiffWidgetOptions, IMimeDiffWidgetOptions } from '../../common/interfaces';
import { CellDiffModel, IDiffModel, ImmutableDiffModel } from '../model';
export declare const CELLDIFF_CLASS = "jp-Cell-diff";
export declare const OUTPUTS_DIFF_CLASS = "jp-Diff-outputsContainer";
export interface ICellDiffViewOptions<T extends IDiffModel = IDiffModel> extends IMimeDiffWidgetOptions<T> {
    parent: CellDiffModel;
    editorClasses: string[];
}
/**
 * CellDiffWidget for cell changes
 */
export declare class CellDiffWidget extends DiffPanel<CellDiffModel> {
    /**
     *
     */
    constructor({ rendermime, mimetype, ...others }: ICellDiffWidgetOptions<CellDiffModel>);
    protected init(): void;
    static createHeader(): Panel;
    static createPrompts(model: ImmutableDiffModel, parent: CellDiffModel): Record<'base' | 'remote', string | null>;
    static createIdentifiers(model: ImmutableDiffModel, parent: CellDiffModel): Record<'base' | 'remote', string | null>;
    /**
     * Create a new sub-view.
     */
    static createView({ model, parent, editorClasses, rendermime, editorFactory, translator, ...viewOptions }: ICellDiffViewOptions): Panel;
    mimetype: string;
    /**
     * Get the model for the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    get model(): CellDiffModel;
    protected _rendermime: IRenderMimeRegistry;
    protected _trans: TranslationBundle;
}
//# sourceMappingURL=cell.d.ts.map