import { DiffPanel } from '../../common/basepanel';
import type { IMimeDiffWidgetOptions } from '../../common/interfaces';
import type { NotebookDiffModel } from '../model';
/**
 * NotebookDiffWidget
 */
export declare class NotebookDiffWidget extends DiffPanel<NotebookDiffModel> {
    constructor({ rendermime, ...others }: IMimeDiffWidgetOptions<NotebookDiffModel>);
    /**
     * Start adding sub-widgets.
     *
     * Separated from constructor to allow 'live' adding of widgets
     */
    init(): Promise<void>;
    /**
     * Get the model for the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    get model(): NotebookDiffModel;
    private _rendermime;
}
//# sourceMappingURL=notebook.d.ts.map